
TYPO3.Flow - Feature # 42961

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Package
Created: 2012-11-14 Assigned To:
Updated: 2014-03-14 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Support non PSR-0 packages
Description

Composers autoloader supports non PSR-0 packages if they follow the so called "PEAR-style" (see 
http://getcomposer.org/doc/04-schema.md#psr-0).
A lot of packages on packagist.org still don't follow the PSR-0 standard. The only way to get those working with Flow, is to include the
composer autoloader manually. I did this by adding following line to the Package.php of my distributions main package:

1require \TYPO3\Flow\Utility\Files::concatenatePaths(array(FLOW_PATH_PACKAGES, 'Libraries/autoload.php'));

But obviously this is just a hacky work around with unpredictable side effects

Related issues:
related to TYPO3.Flow - Bug # 43541: Incomplete classes path detection for PSR-0 New 2012-12-03

Associated revisions
Revision d36117c4 - 2014-02-07 23:13 - Christian Müller

[TASK] ClassLoader compatible with all composer packages

The ClassLoader understands all composer autoload types (PSR-0
autoloading, PSR-4 autoloading, classmap generation and files includes)
and additionally has a faster resolution logic.

For additional speed, e.g. in Production context, you can run::
composer install -o

to let composer generate optimized autoloading maps.

Change-Id: Ib7ff6f4f73f323ce9fc71627c84bf96ef077557e
Releases: 2.0, 2.1, master
Resolves: #42961

History
#1 - 2014-02-06 20:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
http://getcomposer.org/doc/04-schema.md#psr-0


It is available at https://review.typo3.org/27384

#2 - 2014-02-06 20:57 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27384

#3 - 2014-02-07 09:55 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27384

#4 - 2014-02-07 10:00 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27384

#5 - 2014-02-07 11:45 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27384

#6 - 2014-02-07 12:21 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27384

#7 - 2014-02-07 18:19 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27384

#8 - 2014-02-07 18:57 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27384

#9 - 2014-02-07 23:13 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27384

#10 - 2014-02-07 23:15 - Gerrit Code Review

2015-08-04 2/3

https://review.typo3.org/27384
https://review.typo3.org/27384
https://review.typo3.org/27384
https://review.typo3.org/27384
https://review.typo3.org/27384
https://review.typo3.org/27384
https://review.typo3.org/27384
https://review.typo3.org/27384
https://review.typo3.org/27384


Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27434

#11 - 2014-02-07 23:33 - Gerrit Code Review

Patch set 1 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27436

#12 - 2014-02-07 23:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d36117c47bdbe37f3089323f799ac5add7bfcec7.

#13 - 2014-02-07 23:45 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27436

#14 - 2014-03-14 14:22 - Christian Müller
- Status changed from Under Review to Resolved
- Target version set to 2.x
